| Home | Libraries | People | FAQ | More

## Struct template domain_of

boost::proto::domain_of

## Synopsis

    // In header: <boost/proto/domain.hpp>

    template<typename T>
    struct domain_of {
      // types
      typedef domain-of-T type;
    };

## Description

A metafunction that returns the domain of a given type. If `T` is a Proto expression type, it returns that expression's associated domain. If not, it returns `proto::default_domain`.